.stats-section__content {
    margin: auto;
}

.stats-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 32px;
    width: 100%;
}

.stats-separator {
    width: 100%;
    height: 1px;
    background: linear-gradient(90deg, rgba(47, 175, 136, 0.00) 0%, #2FAF88 47.6%, rgba(47, 175, 136, 0.00) 100%);
    margin: 40px 0;
}

@media (min-width: 768px) {
    .stats-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 992px) {
    .stats-grid {
        grid-template-columns: repeat(4, 1fr);
    }
}

.stats-grid__item {
    display: flex;
    flex-direction: column;
    gap: 8px;
    text-align: center;
}

.stats-grid .stats-grid__number {
    color: #FFF;
    font-size: 55px;
    font-style: normal;
    font-weight: 400;
    line-height: 58px;
    letter-spacing: -2.2px;
    margin-bottom: 20px;
}

.stats-grid__description {
    margin: 0;
}

.stats-section {
    position: relative;
}

.stats-section::after {
    content: "";
    position: absolute;
    top: 200px;
    right: -100px;
    width: 100%;
    height: 100%;
    background-image: url('https://vaultmoney.ae/wp-content/uploads/2026/03/greencard.png');
    background-position: right center;
    background-repeat: no-repeat;
    background-size: contain;
    pointer-events: none;
    z-index: -1;
}

@media (min-width: 768px) {
    .stats-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 992px) {
    .stats-grid {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media (max-width: 768px) {
    .stats-section::after {
        opacity: 0.5;
    }
}